'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-4fcc0a9b.js');

const formatAmountCss = ".int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    renderInvalid() {
        return (index.h("span", { "data-testid": 'formatAmountComponent', class: this.class }, index.h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, "...")));
    }
    renderValid() {
        return (index.h("span", { "data-testid": 'formatAmountComponent', class: this.class }, index.h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, this.valueInteger), this.valueDecimal && (index.h("span", { class: 'decimals', "data-testid": 'formatAmountDecimals' }, ".", this.valueDecimal)), this.label && (index.h("span", { class: {
                'symbol': true,
                [this.labelClass]: Boolean(this.labelClass)
            }, "data-testid": 'formatAmountSymbol' }, this.label))));
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
};
FormatAmount.style = FormatAmountStyle0;

exports.format_amount = FormatAmount;

//# sourceMappingURL=format-amount.cjs.entry.js.map