'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-4fcc0a9b.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.24.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('sdk-dapp-core-ui.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["ledger-connect-modal.cjs",[[1,"ledger-connect-modal",{"data":[16],"selectedIndex":[32],"selectedAddress":[32],"getEventBus":[64]}]]],["sign-transactions-modal.cjs",[[1,"sign-transactions-modal",{"data":[16],"getEventBus":[64]},null,{"data":["onDataChange"]}]]],["sign-transaction-component.cjs",[[0,"sign-transaction-component",{"header":[16]}]]],["token-component.cjs",[[0,"token-component"]]],["wallet-connect-modal.cjs",[[1,"wallet-connect-modal",{"data":[16],"qrCodeSvg":[32],"getEventBus":[64]},null,{"data":["onDataChange"]}]]],["fungible-component.cjs",[[0,"fungible-component"]]],["pending-transactions-modal.cjs",[[1,"pending-transactions-modal",{"data":[16],"getEventBus":[64]}]]],["format-amount.cjs",[[1,"format-amount",{"class":[1],"isValid":[4,"is-valid"],"label":[1],"labelClass":[1,"label-class"],"valueDecimal":[1,"value-decimal"],"valueInteger":[1,"value-integer"]}]]],["balance-component.cjs",[[1,"balance-component",{"amount":[1],"ticker":[1],"usdValue":[1,"usd-value"],"header":[1]}]]],["generic-modal_2.cjs",[[0,"generic-spinner"],[0,"generic-modal",{"body":[16],"modalTitle":[1,"modal-title"],"modalSubtitle":[1,"modal-subtitle"],"onClose":[16]}]]],["my-component_8.cjs",[[0,"transaction-toast-list",{"data":[16],"getEventBus":[64]}],[1,"my-component",{"first":[1],"middle":[1],"last":[1]}],[1,"transaction-toast",{"toastId":[1,"toast-id"],"wrapperClass":[1,"wrapper-class"],"processedTransactionsStatus":[1,"processed-transactions-status"],"transactions":[16],"toastDataState":[16],"transactionProgressState":[16]}],[1,"transaction-toast-content",{"transactions":[16],"toastDataState":[16],"processedTransactionsStatus":[1,"processed-transactions-status"]}],[1,"transaction-toast-progress",{"progressClass":[1,"progress-class"],"currentRemaining":[2,"current-remaining"]}],[4,"transaction-toast-wrapper",{"wrapperClass":[1,"wrapper-class"],"wrapperId":[1,"wrapper-id"]}],[1,"transaction-toast-details",{"processedTransactionsStatus":[1,"processed-transactions-status"],"transactions":[16],"transactionClass":[1,"transaction-class"]}],[1,"transaction-toast-details-body",{"transactionClass":[1,"transaction-class"],"status":[1],"hash":[1]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=sdk-dapp-core-ui.cjs.js.map