'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-4fcc0a9b.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-0e1343af.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsModalStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("sign-transaction-component", { key: 'b94edb14ac48f4dd011d53b04b59158c476a082f', header: index.h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.token_component = TokenComponent;

//# sourceMappingURL=token-component.cjs.entry.js.map