import { h } from "@stencil/core";
import state from "../../signTransactionsModalStore";
export class TokenComponent {
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: 'b94edb14ac48f4dd011d53b04b59158c476a082f', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
    static get is() { return "token-component"; }
}
//# sourceMappingURL=token-component.js.map
