import { p as proxyCustomElement, H, h } from './p-efdd7909.js';

const transactionToastWrapperCss = ".transaction-toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}";
const TransactionToastWrapperStyle0 = transactionToastWrapperCss;

const TransactionToastWrapper = /*@__PURE__*/ proxyCustomElement(class TransactionToastWrapper extends H {
    constructor() {
        super();
        this.__registerHost();
        this.wrapperClass = 'transaction-toast-wrapper';
    }
    render() {
        return (h("div", { key: 'f3b9c04f13ee5190cf1d43abe6a157ffaca0a9fc', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: 'cd7ee5cbfa0c9507fb732de64d8e7e74d32c7911' })));
    }
    static get style() { return TransactionToastWrapperStyle0; }
}, [4, "transaction-toast-wrapper", {
        "wrapperClass": [1, "wrapper-class"],
        "wrapperId": [1, "wrapper-id"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastWrapper);
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToastWrapper as T, defineCustomElement as d };

//# sourceMappingURL=p-4d609b08.js.map