import { p as proxyCustomElement, H, h } from './p-efdd7909.js';
import { s as state } from './p-d6147eb7.js';
import { d as defineCustomElement$3 } from './p-2861ece6.js';
import { d as defineCustomElement$2 } from './p-47828820.js';

const TokenComponent$1 = /*@__PURE__*/ proxyCustomElement(class TokenComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: 'b94edb14ac48f4dd011d53b04b59158c476a082f', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
}, [0, "token-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["token-component", "balance-component", "sign-transaction-component"];
    components.forEach(tagName => { switch (tagName) {
        case "token-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TokenComponent$1);
            }
            break;
        case "balance-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const TokenComponent = TokenComponent$1;
const defineCustomElement = defineCustomElement$1;

export { TokenComponent, defineCustomElement };

//# sourceMappingURL=token-component.js.map