import { r as registerInstance, h } from './index-4c31d01f.js';
import { s as state } from './signTransactionsModalStore-6c50e35c.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: 'b94edb14ac48f4dd011d53b04b59158c476a082f', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map