import { p as proxyCustomElement, H, c as createEvent, h } from './p-efdd7909.js';
import { d as defineCustomElement$5 } from './p-7c0d6023.js';
import { d as defineCustomElement$4 } from './p-e914816a.js';
import { d as defineCustomElement$3 } from './p-e97031b6.js';
import { d as defineCustomElement$2 } from './p-8720a292.js';
import { d as defineCustomElement$1 } from './p-4d609b08.js';

const TransactionToast = /*@__PURE__*/ proxyCustomElement(class TransactionToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: 'e1ef69aa2112ed53472eba351d6439b1cf3019b8', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, progressClass: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.progressClass, currentRemaining: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.currentRemaining }, h("transaction-toast-content", { key: 'c966deecc82fb58143bcfa761386ad02aed3f6ef', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
}, [1, "transaction-toast", {
        "toastId": [1, "toast-id"],
        "wrapperClass": [1, "wrapper-class"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "toastDataState": [16],
        "transactionProgressState": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToast);
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToast as T, defineCustomElement as d };

//# sourceMappingURL=p-fbb90a9c.js.map