import { r as registerInstance, h } from './index-4c31d01f.js';

const formatAmountCss = ".int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    renderInvalid() {
        return (h("span", { "data-testid": 'formatAmountComponent', class: this.class }, h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": 'formatAmountComponent', class: this.class }, h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, this.valueInteger), this.valueDecimal && (h("span", { class: 'decimals', "data-testid": 'formatAmountDecimals' }, ".", this.valueDecimal)), this.label && (h("span", { class: {
                'symbol': true,
                [this.labelClass]: Boolean(this.labelClass)
            }, "data-testid": 'formatAmountSymbol' }, this.label))));
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
};
FormatAmount.style = FormatAmountStyle0;

export { FormatAmount as format_amount };

//# sourceMappingURL=format-amount.entry.js.map